Firmware:
Version:
DVD Drive:
DVD Key:
Unknown
Wrong firmware file!
You must load the firmware first!
Wrong DVD key!
Overwrite this file?
Read error!
Write error!
Firmware saved!
WARNING: This firmware is encrypted (or unknown)!
Patching this is under YOUR responsibility.
Load Firmware
Save Firmware
Exit
About